---
title: History.go()
slug: Web/API/History/go
tags:
  - API
  - HTML DOM
  - History
  - History API
  - Method
  - Reference
---
<div>{{APIRef("History API")}}</div>

<p>The <strong><code>History.go()</code></strong> method loads a specific page from the session history. You can use it to move forwards and backwards through the history depending on the value of a parameter.</p>

<p>This method is {{glossary("asynchronous")}}. Add a listener for the {{event("popstate")}} event in order to determine when the navigation has completed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">history.go([<var>delta</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>delta</var></code> {{optional_inline}}</dt>
 <dd>The position in the history to which you want to move, relative to the current page. A negative value moves backwards, a positive value moves forwards. So, for example, <code>history.go(2)</code> moves forward two pages and <code>history.go(-2)</code> moves back two pages. If no value is passed or if <code>delta</code> equals 0, it has the same result as calling <code>location.reload()</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>To move back one page (the equivalent of calling {{domxref("History.back", "back()")}}):</p>

<pre class="brush: js notranslate">history.go(-1)</pre>

<p>To move forward a page, just like calling {{domxref("History.forward", "forward()")}}:</p>

<pre class="brush: js notranslate">history.go(1)</pre>

<p>To move forward two pages:</p>

<pre class="brush: js notranslate">history.go(2);</pre>

<p>To move backwards by two pages:</p>

<pre class="brush: js notranslate">history.go(-2);</pre>

<p>And, finally either of the following statements will reload the current page:</p>

<pre class="brush: js notranslate">history.go();
history.go(0);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "history.html#dom-history-go", "History.go()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "browsers.html#dom-history-go", "History.go()")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.History.go")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("History")}}</li>
 <li>{{DOMxRef("History.back","back()")}}</li>
 <li>{{DOMxRef("History.forward","forward()")}}</li>
 <li>{{event("popstate")}} event</li>
 <li><a href="/en-US/docs/Web/API/History_API/Working_with_the_History_API">Working with the History API</a></li>
</ul>
